package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.AssetBasicNetwork;
import com.ruoyi.tc.mapper.AssetBasicNetWorkMapper;
import com.ruoyi.tc.service.AssetBasicNetworkService;
import org.springframework.stereotype.Service;

import java.io.Serializable;
import java.util.List;

/**
 * 资产基础网络表(AssetBasicNetwork)表服务实现类
 *
 * @author makejava
 * @since 2024-11-15 16:05:26
 */
@Service("assetBasicNetworkService")
public class AssetBasicNetworkServiceImpl extends ServiceImpl<AssetBasicNetWorkMapper, AssetBasicNetwork> implements AssetBasicNetworkService {
    /**
     * 根据资产id查询对应的基础网络
     */
    @Override
    public List<AssetBasicNetwork> getByAssetId(Long id) {
        return baseMapper.getByAssetId(id);
    }

    /**
     * 逻辑删除
     */
    @Override
    public void deleteByAssetIds(Long id) {
        baseMapper.deleteByAssetIds(id);
    }

    @Override
    public void deleteIdList(List<Long> netWorkidList) {
        baseMapper.deleteIdList(netWorkidList);
    }
}
